<!DOCTYPE html>
<html>
    <head>
            <meta charset="UTF-8">
            <title>Hello jQuery</title>
        <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script> -->
        <script src="jquery-3.4.1.min.js"></script>
    </head>

    <body>
        <p id="demo"></p><br>
        <p id="decoded"></p><br>
        <p id="error"></p>

        <script>
            // url="https://api.mncnow.id/api/v/login";
            // document.getElementById("demo").innerHTML =url;
            // fetch(url, 
            //     headers: new Headers({
            //         'Content-Type': 'application/json',
            //         'Accept': 'application/json',
            //         'Accept-Language': 'id',
            //     }),
            //     data: new Data ({
            //         "device_id": "fajarmnc",
            //         "password": "mncnow",
            //         "platform": "android",
            //         "username": "fajar.irwansyah@mncgroup.com"
            //     })    
            // })
            // .then(response => response.json())
            // .then(data => {
            // //console.log(data);
            // var myJSON = JSON.stringify(data);
            // var obj =JSON.parse(myJSON);
            // console(obj.data.access_token);
            // })
            // .catch(error => console.error(error));

            url="https://stag.mncnow.id/api/v5/contents/913";
            //var id ="";
            // url=url.concat(id);
            console.log(url)
            document.getElementById("demo").innerHTML=url;
            fetch(url, {
            headers: new Headers({
                'Authorization': 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyYW5kb20iOiIxMTc0ODJiNjdlMGIxMWE4IiwiZXhwIjoxNTY4ODU3NzkxLCJhYmlsaXRpZXMiOltdLCJ1aWQiOjI1NDkxNDksInBsIjoiYW5kcm9pZCJ9.pK25Uk6vttQZEFw29frOKNhvq8Bw7kT_TJViZHyDJ0s'
            })
            })
            .then(response => response.json())
            .then(data => {
            //console.log(data);
            var myJSON = JSON.stringify(data);
            var obj =JSON.parse(myJSON);
            // console.log(obj.data.actor);
            console.log(obj);
            })
            .catch(error => console.error(error));

            // const url="https://stag.mncnow.id/api/v5/contents/913";
            // fetch(url, {
            //     method: "GET",
            //     headers: {
            //         // "Content-Type" : "application/json",
            //         "Authorization" : "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyYW5kb20iOiI3MzY4YWM1ZDYzOWQxM2RjIiwiZXhwIjoxNTY4ODU3MzQ2LCJhYmlsaXRpZXMiOltdLCJ1aWQiOjI1NDkxNDksInBsIjoiYW5kcm9pZCJ9.pVTKvvBIOqNP0K69ugCyrfw7TO5bxyQ0HLJ8scl44vc"
            //     },
            //     mode: "no-cors"
            // }).then(function(response) {
            //     if (response.ok) {
            //         return response.json();
            //     } else {
            //         throw new Error("Could not reach the API: " + response.statusText);
            //     }
            // }).then(function(data) {
            //     document.getElementById("decoded").innerHTML = data.decoded;
            // }).catch(function(error) {
            //     document.getElementById("error").innerHTML = error.message;
            // });

        </script>
    </body>
</html>